#[derive(Debug, Clone, PartialEq)]
pub enum DvmValue {
    Byte(u8),
    Int(i32),
    Long(i64),
    Double(f64),
    Boolean(bool),
    Pointer(Box<DvmValue>),
    ByteArray(Vec<u8>),
    IntArray(Vec<i32>),
    LongArray(Vec<i64>),
    DoubleArray(Vec<f64>),
    BooleanArray(Vec<bool>),
    PointerArray(Vec<Box<DvmValue>>),
    Unit,
}
